org.eclnt.jsfserver.elements.componentnodes

## Class UI5_MENUBUTTONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_MENUBUTTONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_MENUBUTTONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_MENUBUTTONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_MENUBUTTONNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_MENUBUTTONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindLite(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5_MENUBUTTONNode` | `setActionListener(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setAttributemacro(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setComment(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setConfiginfo(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setEnabled(boolean value)`
    `UI5_MENUBUTTONNode` | `setEnabled(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setHeight(int value)`
    `UI5_MENUBUTTONNode` | `setHeight(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setIcon(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setId(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setLayoutdata(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setLite(boolean value)`
    `UI5_MENUBUTTONNode` | `setLite(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setReference(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setRendered(boolean value)`
    `UI5_MENUBUTTONNode` | `setRendered(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setStyleseq(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setStylevariant(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setText(java.lang.String value)`
    `UI5_MENUBUTTONNode` | `setWidth(int value)`
    `UI5_MENUBUTTONNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_MENUBUTTONNode

          public UI5_MENUBUTTONNode()

  - ### Method Detail

    - #### setId

          public UI5_MENUBUTTONNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_MENUBUTTONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_MENUBUTTONNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5_MENUBUTTONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_MENUBUTTONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_MENUBUTTONNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_MENUBUTTONNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_MENUBUTTONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_MENUBUTTONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_MENUBUTTONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5_MENUBUTTONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5_MENUBUTTONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5_MENUBUTTONNode setEnabled(boolean value)

    - #### setHeight

          public UI5_MENUBUTTONNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5_MENUBUTTONNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5_MENUBUTTONNode setHeight(int value)

    - #### setIcon

          public UI5_MENUBUTTONNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5_MENUBUTTONNode bindIcon(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_MENUBUTTONNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_MENUBUTTONNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setLite

          public UI5_MENUBUTTONNode setLite(java.lang.String value)

    - #### bindLite

          public UI5_MENUBUTTONNode bindLite(IDynamicContentBindingObject value)

    - #### setLite

          public UI5_MENUBUTTONNode setLite(boolean value)

    - #### setReference

          public UI5_MENUBUTTONNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_MENUBUTTONNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_MENUBUTTONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_MENUBUTTONNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_MENUBUTTONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_MENUBUTTONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_MENUBUTTONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_MENUBUTTONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5_MENUBUTTONNode setText(java.lang.String value)

    - #### bindText

          public UI5_MENUBUTTONNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_MENUBUTTONNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5_MENUBUTTONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_MENUBUTTONNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.